### Virtual Method

# Foundry DocumentationProvider list_roots

#### Declaration [src]

    GListModel*
    list_roots (
      FoundryDocumentationProvider* self
    )

#### Description [src]

Returns a list of `FoundryDocumentationRoot` that may contain documentation to be discovered and ingested. This allows plugins for SDKs to provide information about where documentation is located.

It is expected that this list model will be updated when there are changes to the underlying file-system which will require re-parsing content for updates.

#### Return value

Type: A list model of `GObject`

A `GListModel` of `FoundryDocumentationRoot` containing information about discovering documentation.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.